Bug 256001 - iwlwifi4965, ping cannot work under IBSS mode
iwlwifi4965, ping cannot work under IBSS mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Martin Jenner
: OtherQA
Depends On:
Blocks: 425461
  Show dependency treegraph
 
Reported: 2007-08-27 05:17 EDT by Jane Lv
Modified: 2009-06-19 20:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:53:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to 1.0.0-1 "hotfix" release which should resolve the bug (6.50 KB, patch)
2007-08-29 14:05 EDT, Geoff Gustafson
no flags Details | Diff

  None (edit)
Description Jane Lv 2007-08-27 05:17:15 EDT
Description of problem:
I tested iwlwifi4965 driver on RHEL5.1 snapshot 3 kernel-2.6.28-41.el5.x86_64. 
 Ping fails under IBSS mode.

Version-Release number of selected component (if applicable):
The integrated iwlwifi4965 driver is version 1.0.0

How reproducible:


Steps to Reproduce:
On machine-1,
1.ifconfig wlan0 down
2.iwconfig wlan0 mode ad-hoc
3.ifconfig wlan0 up
4.iwconfig wlan0 essid test channel 6
5.ifconfig wlan0 <IP1>
6.Set up machine-2 as the same steps above, but change to a different IP
address, <IP2>
7. On machine-2, ping -I wlan0 <IP1>
  
Actual results:
Ping failed, "Destination Host Unreachable".

Expected results:
Ping cannot work.

Additional info:
Comment 1 Geoff Gustafson 2007-08-28 13:28:11 EDT
I'll built a test kernel with the patch Intel thinks will resolve this and have
Jane test tonight.
Comment 2 Geoff Gustafson 2007-08-29 14:05:55 EDT
Created attachment 179521 [details]
Patch to 1.0.0-1 "hotfix" release which should resolve the bug

Provided binary kernel -43 plus this patch to Jane for testing.
Comment 3 Jane Lv 2007-08-31 02:59:46 EDT
I tested the binary kernel -43 w/ patch attachment(id=179521).  Ping works under
IBSS mode.

Here is test log,
=====================
[root@hlv-sr ~]# ifconfig wlan0 down
[root@hlv-sr ~]# iwconfig wlan0 mode ad-hoc
[root@hlv-sr ~]# ifconfig wlan0 up
[root@hlv-sr ~]# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

sit0      no wireless extensions.

wmaster0  no wireless extensions.

Warning: Driver for device wlan0 recommend version 21 of Wireless Extension,
but has been compiled with version 20, therefore some driver features
may not be available...

wlan0     IEEE 802.11g  ESSID:""
          Mode:Ad-Hoc  Frequency:2.412 GHz  Cell: Not-Associated
          Retry min limit:7   RTS thr:off   Fragment thr=2346 B
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

[root@hlv-sr ~]# iwlist wlan0 scan |grep Ad-Hoc -C8 -B2
Warning: Driver for device wlan0 recommend version 21 of Wireless Extension,
but has been compiled with version 20, therefore some driver features
may not be available...

          Cell 07 - Address: 02:0E:35:2D:70:AF
                    ESSID:"adhoctest"
                    Mode:Ad-Hoc
                    Channel:5
                    Frequency:2.432 GHz
                    Quality=87/100  Signal level=-46 dBm  Noise level=-127 dBm
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Extra:tsf=0000000045573f4f

[root@hlv-sr ~]# iwconfig wlan0 channel 5
[root@hlv-sr ~]# iwconfig wlan0 essid adhoctest
[root@hlv-sr ~]# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

sit0      no wireless extensions.

wmaster0  no wireless extensions.

Warning: Driver for device wlan0 recommend version 21 of Wireless Extension,
but has been compiled with version 20, therefore some driver features
may not be available...

wlan0     IEEE 802.11g  ESSID:"adhoctest"
          Mode:Ad-Hoc  Frequency:2.432 GHz  Cell: 02:0E:35:2D:70:AF
          Retry min limit:7   RTS thr:off   Fragment thr=2346 B
          Encryption key:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

[root@hlv-sr ~]# ifconfig wlan0 192.168.1.67
[root@hlv-sr ~]# ping 192.168.1.66
PING 192.168.1.66 (192.168.1.66) 56(84) bytes of data.
64 bytes from 192.168.1.66: icmp_seq=1 ttl=64 time=16.0 ms
64 bytes from 192.168.1.66: icmp_seq=2 ttl=64 time=10.5 ms
64 bytes from 192.168.1.66: icmp_seq=3 ttl=64 time=1.92 ms
64 bytes from 192.168.1.66: icmp_seq=4 ttl=64 time=3.67 ms
64 bytes from 192.168.1.66: icmp_seq=5 ttl=64 time=2.96 ms
64 bytes from 192.168.1.66: icmp_seq=6 ttl=64 time=29.3 ms

--- 192.168.1.66 ping statistics ---
6 packets transmitted, 6 received, 0% packet loss, time 5001ms
rtt min/avg/max/mdev = 1.922/10.756/29.361/9.690 ms
Comment 7 John W. Linville 2007-11-01 15:26:42 EDT
Test kernels w/ recent mac80211 and iwl4965 updates available here:

   http://people.redhat.com/linville/kernels/rhel5/

You will also need updated firmware.  The easiest option is probably to 
install the F-7 package (you will need to use the "--force" option to rpm):
 
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/x86_64/iwl4965-firmware-4.44.1.18-2.noarch.rpm

Do these kernels work for you?
Comment 8 RHEL Product and Program Management 2007-11-01 15:35:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jane Lv 2007-11-01 22:21:53 EDT
Thanks for updates.  I will have a test and provide result here.
Comment 10 Jane Lv 2007-11-08 04:56:58 EST
Verified the fix w/ kernel 2.6.18-54.el5.jwltest.45 and the firmware from F-7 
package.  Ping works under IBSS mode.
Comment 11 John W. Linville 2007-12-07 16:40:42 EST
Test kernels w/ very up-to-date mac80211/iwl4965 available here:

   http://people.redhat.com/linville/kernels/rhel5/

YMMV, I have not yet tested them -- please feel free to do so and let me know 
the results! :-)
Comment 12 Jane Lv 2007-12-11 02:13:08 EST
I tried the kernel-2.6.18-58.jwltest.47.5 and got some warning messages when 
installing the kernel rpm.

=======================
[root@hlv-sr ~]# rpm -ihv kernel-2.6.18-58.el5.jwltest.47.2.i686.rpm 
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
WARNING: /lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/p54pci.ko needs unknown symbol 
pci_try_set_mwi
WARNING: /lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/iwlwifi/iwl4965.ko needs 
unknown symbol hex_dump_to_buffer
WARNING: /lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/iwlwifi/iwl4965.ko needs 
unknown symbol print_hex_dump
WARNING: /lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/iwlwifi/iwl3945.ko needs 
unknown symbol hex_dump_to_buffer
WARNING: /lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/iwlwifi/iwl3945.ko needs 
unknown symbol print_hex_dump

After boot up from the installed kernel, failed to load iwl4965 driver.
==================
[root@hlv-sr ~]# modprobe iwl4965
FATAL: Error inserting iwl4965 (/lib/modules/2.6.18-
58.el5.jwltest.47.2/kernel/drivers/net/wireless/iwlwifi/iwl4965.ko): Unknown 
symbol in module, or unknown parameter (see dmesg)
 
Dmesg also shows the unknown symbol for iwl4965 driver.
Comment 13 John W. Linville 2007-12-11 09:15:31 EST
The error messages in comment 12 are from jwltest.47.2.  Please use 
jwltest.47.5 (or later).
Comment 14 Jane Lv 2007-12-12 04:46:54 EST
Tested jwltest.47.5.  The IBSS mode can work well on it.
Comment 16 Don Zickus 2008-01-10 15:42:31 EST
in 2.6.18-66.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 18 John Poelstra 2008-03-20 23:52:21 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 19 John Poelstra 2008-04-02 17:35:05 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 20 John Poelstra 2008-04-09 18:41:59 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 21 Jane Lv 2008-04-17 03:05:08 EDT
Verified this bug on RHEL5.2-sp4.
Comment 23 errata-xmlrpc 2008-05-21 10:53:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.